#ifndef PLAYERS_H
#define PLAYERS_H 1

#include <string>

/**
 * This class object represents a single player.
 */
class CPlayer
{
 public:
  /**
   * Constructor for a player.
   */
  CPlayer( std::string name, std::string club, int price, int points, std::string position )
  {
    m_name     = name;
    m_club     = club;
    m_price    = price;
    m_points   = points;
    m_position = position;
  }

  /**
   * Default constructor.
   */
  CPlayer()
  {
    m_name     = "Uninitialized";
    m_club     = "XXX";
    m_price    = 0;
    m_points   = 0;
    m_position = "Any ;)";
  };

  /**
   * Destructor.
   */
  virtual ~CPlayer() 
  {
    /* NOP */
  };

 public:
  std::string getName()
  {
    return( m_name );
  }
  
  std::string getClub()
  {
    return( m_club );
  }

  int getPrice()
  {
    return( m_price );
  }

  int getPoints()
  {
    return( m_points );
  }
  
  std::string getPosition()
  {
    return( m_position );
  }

 private:
  std::string m_name;
  std::string m_club;
  std::string m_position;
  int m_price;
  int m_points;
  

};


#endif /* PLAYERS_H */
